__gnu_parallel::multiway_mergesort_tag Struct Reference
Inheritance diagram for __gnu_parallel::multiway_mergesort_tag:
[legend]

## Public Member Functions

| multiway_mergesort_tag (_ThreadIndex __num_threads)
_ThreadIndex | __get_num_threads ()
void | set_num_threads (_ThreadIndex __num_threads)

## Detailed Description

Forces parallel sorting using multiway mergesort at compile time.

Definition at line 128 of file tags.h.

## Member Function Documentation

## __get_num_threads()

_ThreadIndex __gnu_parallel::parallel_tag::__get_num_threads | ( |  | ) |

inline inherited

Find out desired number of threads.

Returns
  Desired number of threads.

Definition at line 63 of file tags.h.

## set_num_threads()

void __gnu_parallel::parallel_tag::set_num_threads | ( | _ThreadIndex | __num_threads | ) |

inline inherited

Set the desired number of threads.

Parameters

  __num_threads | Desired number of threads.

Definition at line 73 of file tags.h.

The documentation for this struct was generated from the following file:

- tags.h